Bug 865314 - RFE: take into account time difference between host and VM's clock in QEMU command line
RFE: take into account time difference between host and VM's clock in QEMU co...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
unspecified
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Sahid Ferdjaoui
Omri Hochman
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 04:15 EDT by Yaniv Kaul
Modified: 2016-04-26 20:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 15:23:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-10-11 04:15:11 EDT
Description of problem:
Currently we ignore the fact that there might be time difference between the host and the VM's clocks. We should store the diff and use it in the command line (something like -rtc base=2012-10-09T13:22:57)

Version-Release number of selected component (if applicable):
Essex

How reproducible:


Steps to Reproduce:
1. Look at a hypervisor qemu command line when running an instance. It lacks this offset calculation.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yaniv Kaul 2012-10-11 04:18:22 EDT
Note: currently Nova uses -rtc base=utc
Comment 11 Daniel Berrange 2013-09-19 13:39:24 EDT
No work was done in this upstream - there's not even a blueprint for it at this time.
Comment 13 Russell Bryant 2014-08-12 10:05:45 EDT
It's too late to do this for Juno, but it's something we could do for Kilo.

Note You need to log in before you can comment on or make changes to this bug.